Get TLS certificate
- GET /platform/configuration/security/tls/{service_name}
Retrieves a certificate in the TLS certificate chain.
Path Parameters
-
service_namerequired -
The service certificate chain to read.
-
Values:
adminconsoleproxyuiinternalca
Response
The TLS certificate chain, with private key omitted, for the given service and whether it was user specified
-
user_suppliedbooleanrequired -
Was this certificate chain user supplied or automatically generated?
-
chainstringrequired -
The list of PEM encoded X509 certificates that make up the certificate chain
-
chain_statusChainStatus -
Chain expiration information
-
expiration_datestringrequired -
When this chain is going to expire due any of its certificates expiring (ISO format in UTC)
-
first_certificate_to_expirestringrequired -
Information on the first certificate expiring in the chain
-
api_managedboolean -
Whether or not this certificate can be updated using the API